package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaPaymentProgress;
import com.ruoyi.oa.domain.vo.OaPaymentProgressVo;
import com.ruoyi.oa.domain.bo.OaPaymentProgressBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 项目付款进度Service接口
 *
 * @author hdka
 * @date 2025-05-23
 */
public interface IOaPaymentProgressService {

    /**
     * 查询项目付款进度
     */
    OaPaymentProgressVo queryById(Long paymentProgressId);

    /**
     * 查询项目付款进度列表
     */
    TableDataInfo<OaPaymentProgressVo> queryPageList(OaPaymentProgressBo bo, PageQuery pageQuery);

    /**
     * 查询项目付款进度列表
     */
    List<OaPaymentProgressVo> queryList(OaPaymentProgressBo bo);

    /**
     * 新增项目付款进度
     */
    Boolean insertByBo(OaPaymentProgressBo bo);

    /**
     * 修改项目付款进度
     */
    Boolean updateByBo(OaPaymentProgressBo bo);

    /**
     * 校验并批量删除项目付款进度信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
